TAAS - Feature #275

Air Fare Type
12/30/2023 10:04 AM - Junaid M

Status: New Changes Coding Done Start date: 12/30/2023
Priority: Normal Due date:

Assignee: Athira KK % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Air Fare Type

Description

Coding Air Fare Type

History

#1 - 02/19/2024 05:48 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- File AirFareCode.zip added

- Assignee changed from travvise Admin to Greeshma S

#2 - 02/20/2024 09:36 AM - Greeshma S
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 02/28/2024 02:19 PM - Greeshma S
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#4 - 02/29/2024 04:35 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S
ISSUE FOUNDED
1.FULLY SHOW DELETE ICON IN AIRLINE LIST

2.ADD GAP IN AIR FARE TYPE SAVE MESSAGE
3.SHOWING DIFFERENT NAMES IN PDF/EXCEL

#5 - 02/29/2024 04:51 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#6 - 03/13/2024 12:48 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.CANT UPDATE/DELETE AFTER CHOOSING NEW BUTTON AND SELECTING DATA FROM LIST

2.SHOW DELETE BUTTON FULLY ON AIRLINE LIST

#7 - 03/13/2024 02:28 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#8 - 03/13/2024 02:30 PM - unnikannan S
TESTING DONE

#9 - 04/12/2024 04:55 PM - unnikannan S

- File clipboard-202404121654-1rd61.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#10 - 04/12/2024 06:58 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#11 - 04/13/2024 05:37 PM - unnikannan S
TESTING DONE

#12 - 10/16/2024 07:29 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#13 - 10/17/2024 01:06 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Code field in airline tab should always be in uppercase.
2. Code field in GDS tab should be in uppercase.

#14 - 10/17/2024 05:16 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#15 - 11/12/2024 06:07 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#16 - 11/22/2024 06:20 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW GUI CHANGES

1. Fare Type* (Red)

2. Required Supporting document* (Bule - Title:- If Mandatory Then Select)
1 Ticked Required Supporting document, Other wise Anyone) + Multiselectbox
*Qffice ID, Personal ID, National ID, Student ID, Seamen ID, Military ID,

3. Attachment From Selectbox (Booking(Default), Issue,
4. Remarks

5. Default Checkbox

——Created By:

--Modified By:

Pax Profile)

6. GDS->Code Column --> Code* (Blue) Title/hind:- Can Enter Multiple Code,

7. Airline popup-> Code* (Red) Label and Entry box Title/hind:-

Add the Items Blank DB

Normal Fare - Default

Retiree Fare (Required - National ID)

Private Fare

Student Fare (Required - Student ID)

Labour Fare

IT Fare

Seamen Fare (Required - Seamen ID)

Corporate Fare

Military Fare (Required - Military ID/Authorised Letter)

#17 - 11/23/2024 09:38 AM - Arathy PS
- Assignee changed from Greeshma S to Athira KK

#18 - 11/29/2024 03:37 PM - Athira KK
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

Can Enter

Authorised Letter,

Separated by

Multiple Code, Separated by

v.
’

Files

2-tsModel.ts 910 Bytes 02/19/2024 Junaid M
1-CsModel.cs 1.43 KB 02/19/2024 Junaid M
3-CsFile.cs 12.3 KB 02/19/2024 Junaid M
4-CsControllerFile.cs 24.1 KB 02/19/2024 Junaid M
5-TsFile.ts 13.4 KB 02/19/2024 Junaid M
6-HtmlFile.html 1.9 KB 02/19/2024 Junaid M
sql.sql 12.8 KB 02/19/2024 Junaid M
AirFareCode.zip 11.1 KB 02/19/2024 Junaid M
clipboard-202404121654-1rd61.png 139 KB 04/12/2024 unnikannan S
